Package org.firebirdsql.gds.ng.wire.crypt.chacha

## Class ChaChaEncryptionPlugin

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.chacha.ChaChaEncryptionPlugin

All Implemented Interfaces:
  `EncryptionPlugin`

    public class ChaChaEncryptionPlugin
    extends java.lang.Object
    implements EncryptionPlugin

ChaCha (ChaCha-20) encryption plugin (introduced in Firebird 4.0)

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Concrete Methods
`EncryptionIdentifier` `getEncryptionIdentifier()`
`EncryptionInitInfo` `initializeEncryption()` Initializes the encryption for incoming and outgoing communication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getEncryptionIdentifier

    public EncryptionIdentifier getEncryptionIdentifier()

Specified by:
  `getEncryptionIdentifier` in interface `EncryptionPlugin`
Returns:
  Encryption identifier

#### initializeEncryption

    public EncryptionInitInfo initializeEncryption()

Description copied from interface: `EncryptionPlugin`
Initializes the encryption for incoming and outgoing communication.

Specified by:
  `initializeEncryption` in interface `EncryptionPlugin`
Returns:
  Object with the result of initialization